Todo List: libftdi 1.0 rebuild

2013-11-24 - Eric Bélanger

/usr/lib/libftdi.so.1 => /usr/lib/libftdi1.so.2
/usr/lib/libftdipp.so.1 => /usr/lib/libftdipp1.so.2
/usr/include/ => /usr/include/ftdi1/
/usr/lib/pkgconfig/libftdi.pc => /usr/lib/pkgconfig/libftdi1.pc
/usr/lib/pkgconfig/libftdipp.pc => /usr/lib/pkgconfig/libftdipp1.pc

Major changes were done to the API. If your packages doesn't build against libftdi 1.0 or if patching them would involve too much work (i.e. no patches upstreamn or on the Internet), let me know. I can add a libftdi-compat package for the 0.20 version.

EDIT: I've added a libftdi-compat package in the [staging] repo.

Link to lists of pkgbase values:

Filter Todo List Packages

Select filter criteria
5 packages displayed out of 5 total packages.
Arch Repository Name Current Version Staging Version Maintainers Status Last Touched By
x86_64 Community avrdude 1:6.3-3 jelle Complete eric
x86_64 Community flashrom 1.0-2 Archange Complete giovanni
x86_64 Extra libftdi 1.4-2 kkeen Complete eric
x86_64 Extra lirc-utils lfleischer Complete eric
x86_64 Community openocd Complete spupykin